1- New VM RedHat 8 Storage 40GB/4GB RAM /boot 1GB / 20GB /u01 20GB    

2- Add swap :
# Create a 4GB swap file (adjust the size if needed)
dd if=/dev/zero of=/swapfile bs=1G count=4

# Set the appropriate permissions
chmod 600 /swapfile

# Enable the swap file
mkswap /swapfile

# Add the swap file entry to /etc/fstab
echo '/swapfile swap swap defaults 0 0' >> /etc/fstab

# Activate the swap file
swapon -a

3- Oracle 19c pre-installation 
# sudo yum install -y oracle-database-preinstall-19c
# passwd oracle

# mkdir -p /u01/app/oracle/product/19.3/db_home
# chown -R oracle:oinstall /u01
# chmod -R 775 /u01

# su - oracle
# vi .bash_profile


//ADD THIS SCRIPT 

# .bash_profile

# Get the aliases and functions
if [ -f ~/.bashrc ]; then
	. ~/.bashrc
fi

# User specific environment and startup programs

export ORACLE_BASE=/u01/app/oracle
export ORACLE_HOME=/u01/app/oracle/product/19.3/db_home

export ORACLE_SID=CDB

export LD_LIBRARY_PATH=\$ORACLE_HOME/lib:/lib:/usr/lib
export CLASSPATH=\$ORACLE_HOME/jlib:\$ORACLE_HOME/rdbms/jlib
export NLS_LANG=american_america.al32utf8
export NLS_DATE_FORMAT="yyyy-mm-dd:hh24:mi:ss"

PATH=$PATH:$HOME/.local/bin:$ORACLE_HOME/bin

export PATH

//END FILE

 
# . .bash_profile


# cd $ORACLE_HOME

# unzip -qo /softwares/LINUX.X64_193000_db_home.zip 

# ./runInstaller

# export ORACLE_SID=orcl


# select instance_name,status from v$instance;












 

